com.mxgraph.shape

## Class mxCurveLabelShape.LabelGlyphCache

- java.lang.Object
- - com.mxgraph.shape.mxCurveLabelShape.LabelGlyphCache

- Enclosing class:
    mxCurveLabelShape

      public class mxCurveLabelShape.LabelGlyphCache
      extends java.lang.Object

  Utility class to describe the characteristics of each glyph of a branch branch label. Each instance represents one glyph

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `mxRectangle` | `drawingBounds` The un-rotated rectangle that just bounds this character
    `java.lang.String` | `glyph` The glyph being drawn
    `mxLine` | `glyphGeometry` A line parallel to the curve segment at which the element is to be drawn
    `java.awt.Shape` | `glyphShape` The cached shape of the glyph
    `mxRectangle` | `labelGlyphBounds` Cache of the bounds of the individual element of the label of this edge.
    `boolean` | `visible` Whether or not the glyph should be drawn

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxCurveLabelShape.LabelGlyphCache()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### labelGlyphBounds

          public mxRectangle labelGlyphBounds

      Cache of the bounds of the individual element of the label of this edge. Note that these are the unrotated values used to determine the width of each glyph.

    - #### drawingBounds

          public mxRectangle drawingBounds

      The un-rotated rectangle that just bounds this character

    - #### glyph

          public java.lang.String glyph

      The glyph being drawn

    - #### glyphGeometry

          public mxLine glyphGeometry

      A line parallel to the curve segment at which the element is to be drawn

    - #### glyphShape

          public java.awt.Shape glyphShape

      The cached shape of the glyph

    - #### visible

          public boolean visible

      Whether or not the glyph should be drawn

  - ### Constructor Detail

    - #### mxCurveLabelShape.LabelGlyphCache

          public mxCurveLabelShape.LabelGlyphCache()

Copyright (c) 2010 Gaudenz Alder. All rights reserved.